## flask-login 0.4.0

=== Makefile ===
.PHONY: all test clean_coverage clean pep8 pyflakes check 

all:
	@echo 'test           run the unit tests'
	@echo 'coverage       generate coverage statistics'
	@echo 'pep8           check pep8 compliance'
	@echo 'pyflakes       check for unused imports (requires pyflakes)'
	@echo 'check          make sure you are ready to commit'
	@echo 'clean          cleanup the source tree'

test: clean_coverage
	@echo 'Running all tests...'
	@VERBOSE=1 PATH=${PATH} ./run-tests.sh

clean_coverage:
	@rm -f .coverage

clean:
	@rm -f flask_login/*.pyc

pep8:
	@echo 'Checking pep8 compliance...'
	@pep8 flask_login/* test_login.py

pyflakes:
	@echo 'Running pyflakes...'
	@pyflakes flask_login/* test_login.py

check: clean pep8 pyflakes test

=== requirements.txt ===
flask==0.9
werkzeug==0.8.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-Login.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-Login.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-Login"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-Login"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## flask-login 0.2.6

=== debian/changelog ===
flask-login (0.2.6-1) unstable; urgency=low

  * Initial release. Closes: 718554

 -- Tonnerre LOMBARD <tonnerre@ancient-solutions.com>  Thu, 01 Aug 2013 01:40:50 +0200

=== debian/control ===
Source: flask-login
Maintainer: Tonnerre LOMBARD <tonnerre@ancient-solutions.com>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
	       debhelper (>= 7)
Standards-Version: 3.9.4

Package: python-flask-login
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: user session management for Flask
 Flask-Login provides user session management for Flask. It handles the
 common tasks of logging in, logging out, and remembering your users'
 sessions over extended periods of time.
 .
 Flask-Login is not bound to any particular database system or permissions
 model. The only requirement is that your user objects implement a few
 methods, and that you provide a callback to the extension capable of
 loading users from their ID.
Homepage: https://flask-login.readthedocs.org/

=== debian/rules ===
#!/usr/bin/make -f
#
# Standard Debhelper based build rules.

%:
	dh $@ --with python2 --buildsystem=python_distutils

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/F/Flask-Login/Flask-Login-(.+).tar.gz

## flask-login 0.4.0

=== debian/changelog ===
flask-login (0.4.0-2) unstable; urgency=medium

  * Add Forwarded headers to patches.
  * Rename python{3,}-flask-login-doc (Closes: #854871)
  * Mark doc package as Multi-Arch: foreign as per hint.
  * Build-Depend on python3-nose-yanc now that it is built, allowing colour
    in the test output.
  * Update Standards-Version to 4.1.1:
    - Switch copyright-format URL to HTTPS
  * Add python autopkgtest suite.
  * Build-Depend on the py3 version of sphinx instead of py2.

 -- Carl Suster <carl@contraflo.ws>  Fri, 01 Dec 2017 15:45:42 +1100

flask-login (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #836501).
  * Update d/compat to 10 and raise B-D on debhelper accordingly.
  * Switch to using dh-python:
    - add B-D on dh-python.
  * Add myself to d/copyright for debian/.
  * Change d/watch to follow GitHub releases.
  * Change homepage to GitHub.
  * Build the Python 3 module (Closes: #802614):
    - replace B-Ds python{,3}-all and python{,3}-setuptools.
  * Stop building the Python 2 module (no rdepends).
  * Move Vcs to DPMT git.
  * Bump standards version to 3.9.8 (no changes).
  * Build the documentation in a -doc package:
    - add B-D on python-sphinx,
    - add links from the /usr/share/doc/python3-flask-login to
      /user/share/doc/python3-flask-login-doc,
    - register with doc-base,
    - make the Python 3 module and -doc package Suggest each other.
  * Install the upstream README file.
  * Add 0001-disable-github-fork-ribbon.patch to turn off the GitHub ribbon.
  * Add 0002-allow-choice-of-nosetests-executable-in-run-tests.sh.patch to
    allow the tests to be run with nosetests3 for the Python 3 package.
  * Run the test suite using upstream's makefile:
    - add B-Ds on python3-flask, python3-mock, python3-nose, python3-werkzeug
      and python3-blinker,
    - cleanup tests_output/ and .coverage in d/clean.
  * Use more general rule to ignore egg-info directory in d/clean and
    d/source/options.

 -- Carl Suster <carl@contraflo.ws>  Wed, 11 Jan 2017 14:23:07 +1100

=== debian/control ===
Source: flask-login
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Carl Suster <carl@contraflo.ws>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3-sphinx,
 python3-all,
 python3-blinker,
 python3-flask,
 python3-mock,
 python3-nose,
 python3-nose-yanc,
 python3-setuptools,
 python3-werkzeug,
Standards-Version: 4.1.1
Homepage: https://github.com/maxcountryman/flask-login
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask-login.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/flask-login.git
Testsuite: autopkgtest-pkg-python

Package: python3-flask-login
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-flask-login-doc
Description: user session management for Flask -- Python 3 module
 Flask-Login provides user session management for Flask. It handles the
 common tasks of logging in, logging out, and remembering your users'
 sessions over extended periods of time.
 .
 Flask-Login is not bound to any particular database system or permissions
 model. The only requirement is that your user objects implement a few
 methods, and that you provide a callback to the extension capable of
 loading users from their ID.
 .
 This package provides the Python 3 module.

Package: python-flask-login-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python3-flask-login
Multi-Arch: foreign
Description: user session management for Flask -- documentation
 Flask-Login provides user session management for Flask. It handles the
 common tasks of logging in, logging out, and remembering your users'
 sessions over extended periods of time.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=flask-login


%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_sphinxdoc: http_proxy=127.0.0.1:9
override_dh_sphinxdoc: https_proxy=127.0.0.1:9
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-flask-login-doc/usr/share/doc/python-flask-login-doc/html/
	dh_sphinxdoc
endif

override_dh_auto_test:
	NOSETEST=nosetests3 make test

override_dh_compress:
	dh_compress -X html/

## flask-login 0.4.1

=== requirements.txt ===
flask==0.12
werkzeug==0.11.15

=== debian/changelog ===
flask-login (0.4.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Carl Suster ]
  * Remove myself as Uploader and add Daniele Tricoli.

  [ Daniele Tricoli ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Follow DEP-14 style branch names.
  * debian/control
    - Bump debhelper compat level to 12
    - Sort Build-Depends.
    - Bump Standards-Version to 4.4.1 (no changes needed).
    - Set Rules-Requires-Root: no.
  * debian/copyright
    - Add myself.
  * debian/rules
    - Use pybuild to perform tests.
    - Skip a test failing also upstream using Werkzeug>=0.15.0.

 -- Daniele Tricoli <eriol@debian.org>  Sun, 22 Dec 2019 20:35:57 +0100

flask-login (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Fix Breaks/Replaces of python3-flask-login-doc. Spotted by Andreas
    Beckmann, thanks! (Closes: #891025 again)
  * The doc package Enhances the module package instead of Suggests.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 18 Apr 2018 09:35:46 +0200

flask-login (0.4.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Christoph Berg ]
  * New upstream version.
    + Remove 0002-allow-choice-of-nosetests-executable-in-run-tests.sh.patch.
  * Add python3-semantic-version test dependency.
  * Add missing docs/_themes copyright. (Closes: #889618)
  * python-flask-login-doc: Replaces: python3-flask-login-doc.
    (Closes: #891025)

 -- Christoph Berg <myon@debian.org>  Mon, 09 Apr 2018 20:56:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: flask-login
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Carl Suster <carl@contraflo.ws>
+Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
- python3-sphinx,
  python3-all,
  python3-blinker,
  python3-flask,
  python3-mock,
  python3-nose,
  python3-nose-yanc,
+ python3-semantic-version,
  python3-setuptools,
+ python3-sphinx,
  python3-werkzeug,
-Standards-Version: 4.1.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/maxcountryman/flask-login
-X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask-login.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/flask-login.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/flask-login.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-login
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-flask-login
 Architecture: all
@@ -42,7 +43,9 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Suggests: python3-flask-login
+Enhances: python3-flask-login
+Breaks: python3-flask-login-doc
+Replaces: python3-flask-login-doc
 Multi-Arch: foreign
 Description: user session management for Flask -- documentation
  Flask-Login provides user session management for Flask. It handles the

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=flask-login

export PYBUILD_BEFORE_TEST=cp -r {dir}/test_login.py {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test_login.py
# test_unauthorized_uses_host_from_x_forwarded_for_header fails with
# Werkzeug>=0.15.0. See https://github.com/maxcountryman/flask-login/issues/461
export PYBUILD_TEST_ARGS=-v \
	-e test_unauthorized_uses_host_from_x_forwarded_for_header

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_sphinxdoc: http_proxy=127.0.0.1:9
override_dh_sphinxdoc: https_proxy=127.0.0.1:9
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/ debian/python-flask-login-doc/usr/share/doc/python-flask-login-doc/html/
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X html/

## flask-login 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: all test clean_coverage clean pep8 pyflakes check 
+.PHONY: all test clean_coverage clean pep8 pyflakes check
 
 all:
 	@echo 'test           run the unit tests'
@@ -10,7 +10,8 @@
 
 test: clean_coverage
 	@echo 'Running all tests...'
-	@VERBOSE=1 PATH=${PATH} ./run-tests.sh
+	coverage run --source=flask_login --module pytest
+	coverage report
 
 clean_coverage:
 	@rm -f .coverage
@@ -20,7 +21,7 @@
 
 pep8:
 	@echo 'Checking pep8 compliance...'
-	@pep8 flask_login/* test_login.py
+	@pycodestyle flask_login/* test_login.py
 
 pyflakes:
 	@echo 'Running pyflakes...'

=== requirements.txt ===
flask>=0.12.3
werkzeug>=0.15.0

=== debian/changelog ===
flask-login (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0.
  * debian/clean
    - Remove .pytest_cache directory.
  * debian/control
    - Bump Standards-Version to 4.5.0 (no changes needed).
    - Switch to pytest for testing as upstream.
  * debian/copyright
    - Update copyright years.
  * debian/patches/0001-disable-github-fork-ribbon.patch
    - Refresh.
  * debian/rules
    - Re-enable previously failing test.
  * debian/upstream/metadata
    - Add Bug-Database URL.

 -- Daniele Tricoli <eriol@debian.org>  Thu, 02 Apr 2020 00:16:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,12 @@
  python3-blinker,
  python3-flask,
  python3-mock,
- python3-nose,
- python3-nose-yanc,
+ python3-pytest,
  python3-semantic-version,
  python3-setuptools,
  python3-sphinx,
  python3-werkzeug,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/maxcountryman/flask-login
 Vcs-Git: https://salsa.debian.org/python-team/modules/flask-login.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-login

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,7 @@
 
 export PYBUILD_BEFORE_TEST=cp -r {dir}/test_login.py {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test_login.py
-# test_unauthorized_uses_host_from_x_forwarded_for_header fails with
-# Werkzeug>=0.15.0. See https://github.com/maxcountryman/flask-login/issues/461
-export PYBUILD_TEST_ARGS=-v \
-	-e test_unauthorized_uses_host_from_x_forwarded_for_header
+export PYBUILD_TEST_ARGS=-v
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/flask-login-$1\.tar\.gz/ \
  https://github.com/maxcountryman/flask-login/releases .*/v?(\d\S*)\.tar\.gz

## flask-login 0.6.2

=== debian/changelog ===
flask-login (0.6.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.6.2
    (Closes: #1020730, #1020794)
  * Rebuild patch queue form patch-queue branch
    Added patches:
    0002-docs-Use-installed-local-inventory-information.patch
    0003-unittest-Skip-test-which-requires-a-packaged-aioflas.patch
    Removed patch (obsolete):
    0002-Import-ABC-from-collections.abc.patch
  * d/control: Add python3-doc to Build-Depends
  * d/rules: Adjust PYBUILD exports before and after tests
  * d/rules: Adjust the sphinx build
  * d/control: Increase Standards-Version to 4.6.1
    No further changes needed.
  * CI: Use suggested base files, drop not needed tests
    We don't build architecture related stuff and thus we don't need to run
    BLHC checking and building packages of typ ANY.
  * d/control: Keep binary packages list alphabetical
  * autopkgtest: Add a first basic setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 11 Oct 2022 07:26:06 +0200

flask-login (0.5.0-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Daniele Tricoli ]
  * debian/patches/0002-Import-ABC-from-collections.abc.patch
    - Cherry pick upstream patch to make the package build using Python 3.10.
      Closes (#1002357)
  * Enable Salsa pipelines.
  * debian/control
    - Bump Standards-Version to 4.6.0 (no changes needed).
    - Bump compat version to 13.
  * debian/copyright
    - Update copyright years.

 -- Daniele Tricoli <eriol@debian.org>  Sat, 22 Jan 2022 02:12:17 +0100

=== debian/control ===
Source: flask-login
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Daniele Tricoli <eriol@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-blinker,
 python3-doc,
 python3-flask,
 python3-mock,
 python3-pytest,
 python3-semantic-version,
 python3-setuptools,
 python3-sphinx,
 python3-werkzeug,
Standards-Version: 4.6.1
Homepage: https://github.com/maxcountryman/flask-login
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-login.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-login
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-flask-login-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Enhances: python3-flask-login
Breaks: python3-flask-login-doc
Replaces: python3-flask-login-doc
Multi-Arch: foreign
Description: user session management for Flask -- documentation
 Flask-Login provides user session management for Flask. It handles the
 common tasks of logging in, logging out, and remembering your users'
 sessions over extended periods of time.
 .
 This package provides the documentation.

Package: python3-flask-login
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-flask-login-doc
Description: user session management for Flask -- Python 3 module
 Flask-Login provides user session management for Flask. It handles the
 common tasks of logging in, logging out, and remembering your users'
 sessions over extended periods of time.
 .
 Flask-Login is not bound to any particular database system or permissions
 model. The only requirement is that your user objects implement a few
 methods, and that you provide a callback to the extension capable of
 loading users from their ID.
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=flask-login

export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -N -q -E -b html docs/ debian/python-flask-login-doc/usr/share/doc/python-flask-login-doc/html/
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X html/

## flask-login 0.6.3

=== debian/changelog ===
flask-login (0.6.3-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Remove extraneous dependency on python3-mock

  [ Boyuan Yang ]
  * debian/gbp.conf: Add ignore-branch = True.
  * debian/patches/0004-use-datetime.now-with-timezone-instead-of-utcnow.patch:
    Add patch from Ubuntu (cherry-picked from upstream git trunk) to fix FTBFS
    with Python 3.12.
  * The package now builds correctly. (Closes: #1067794)

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Apr 2024 10:30:40 -0400

flask-login (0.6.3-1) unstable; urgency=medium

  * Team upload
  * [6450193] d/watch: Switch over to use git mode
  * [2ebefe6] New upstream version 0.6.3
  * [a865108] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [5cef840] d/rules: Correct the nodoc profile detection
  * [e887d2c] d/rules: Set and use $(SPHINXOPTS) in override_dh_sphinxdoc
  * [6cdaa21] d/control: Update B-D and add BuildProfileSpecs
  * [3d4120f] d/rules: Drop --with option in default target
  * [000dfcb] d/*: Running wrap-and-sort -ast

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 24 Nov 2023 22:28:53 +0000

=== debian/control ===
Source: flask-login
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Daniele Tricoli <eriol@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python-flask-doc <!nodoc>,
 python3-all,
 python3-blinker <!nocheck>,
 python3-doc <!nodoc>,
 python3-flask <!nodoc>,
 python3-pytest <!nocheck>,
 python3-semantic-version <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://github.com/maxcountryman/flask-login
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-login.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-login
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-flask-login-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Enhances:
 python3-flask-login,
Breaks:
 python3-flask-login-doc,
Replaces:
 python3-flask-login-doc,
Multi-Arch: foreign
Description: user session management for Flask -- documentation
 Flask-Login provides user session management for Flask. It handles the
 common tasks of logging in, logging out, and remembering your users'
 sessions over extended periods of time.
 .
 This package provides the documentation.

Package: python3-flask-login
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-flask-login-doc,
Description: user session management for Flask -- Python 3 module
 Flask-Login provides user session management for Flask. It handles the
 common tasks of logging in, logging out, and remembering your users'
 sessions over extended periods of time.
 .
 Flask-Login is not bound to any particular database system or permissions
 model. The only requirement is that your user objects implement a few
 methods, and that you provide a callback to the extension capable of
 loading users from their ID.
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=flask-login

export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_ARGS=-v

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src \
	    python3 -m sphinx -b html $(SPHINXOPTS) docs/ debian/python-flask-login-doc/usr/share/doc/python-flask-login-doc/html/
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X html/

=== debian/tests/control ===
Tests: smoke
Depends:
 python3-all,
 @,
 @builddeps@,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      pgpmode=none, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/maxcountryman/flask-login.git \
      refs/tags/v?(\d\S+)
